### Enumeration

# GdkPixbuf PixbufFormatFlags

since: 2.2

#### Declaration

    flags GdkPixbuf.PixbufFormatFlags

#### Description [src]

Flags which allow a module to specify further details about the supported operations.

Available since: 2.2

#### Members

`GDK_PIXBUF_FORMAT_WRITABLE`

  The module can write out images in the format.

  - Value: `1`
  - Available since: 2.2
`GDK_PIXBUF_FORMAT_SCALABLE`

  The image format is scalable.

  - Value: `2`
  - Available since: 2.2
`GDK_PIXBUF_FORMAT_THREADSAFE`

  The module is threadsafe. gdk-pixbuf ignores modules that are not marked as threadsafe. (Since 2.28).

  - Value: `4`
  - Available since: 2.2